/*
*
* Copy text from inputs in clipboard
*
*/
function alexandria_conversation_builder_copy_text_from_inputs() {

	/* Show tooltip message */
	var tooltip = document.getElementById("button_copy_tooltip");
	tooltip.style.visibility = 'visible';
	tooltip.style.opacity = 1;

	/* Get all tabs sections */
	let kickoff_tab = jQuery('#defaultOpen');
	let preparation_tab = jQuery('#preparation_tab');
	let examples_tab = jQuery('#examples_tab');

	if(kickoff_tab.hasClass('active')) {

		var soliloquio_text = jQuery.trim(jQuery('#soliloquio_title').text());
		var conclusions_title = jQuery.trim(jQuery('#conclusions_title').text());
		var decisions_title = jQuery.trim(jQuery('#decisions_title').text());
		var expect_results_title = jQuery.trim(jQuery('#expect_results_title').text());

		var text = soliloquio_text + '\n\n' + conclusions_title + '\n\n' + decisions_title + '\n\n' + expect_results_title;

		jQuery("#alexandria_conversation_builder_textarea_clipboard").text(text);

	}

	if(preparation_tab.hasClass('active')) {

		var objective_title = jQuery.trim(jQuery('#objective_title').text());
		var objective_description = jQuery.trim(jQuery('#objective_description').text());

		var preguntas_potentes = '';
		var arguments_text = '';
		var comments = '';
		var viable_minimal = '';

		jQuery(".strong-question-item .item-text").each(function() {
			preguntas_potentes += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#arguments_wrapper .item-text").each(function() {
			arguments_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

	 	var relevance = jQuery.trim(jQuery("#relevance_wrapper .item-text").text()) + '\n\n';

		jQuery("#viable_minimal_wrapper .item-text").each(function() {
			viable_minimal += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#comments_wrapper .item-text").each(function() {
			comments += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		var text = objective_title + '\n\n' + objective_description + '\n\n\n\n' + preguntas_potentes + '\n\n' + relevance + '\n\n' + viable_minimal + '\n\n' + comments;

		jQuery("#alexandria_conversation_builder_textarea_clipboard").text(text);

	}

	if(examples_tab.hasClass('active')) {

		var title = '';
		var description = '';
		var examples = '';

		jQuery("#examples .example-principal").each(function() {
			title = jQuery.trim(jQuery(this).find('.example-principal-title').text()) + '\n\n';
			description = jQuery.trim(jQuery(this).find('.example-description').text()) + '\n\n\n\n';

			examples += title + description;
		});

		var text = examples;

		jQuery("#alexandria_conversation_builder_textarea_clipboard").text(text);

	}

	/* Get the text field */
	var copyText = document.getElementById("alexandria_conversation_builder_textarea_clipboard");

	/* Select the text field */
	copyText.select();
	copyText.setSelectionRange(0, 99999); /*For mobile devices*/

	/* Copy the text inside the text field */
	document.execCommand("copy");
}