<?php

/**
 * The template Emotions.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates
 */

?>

<div id="emotion-section" class="alexandria-section">

	<div class="alexandria-section-title-wrapper">

		<div class="alexandria-section-title">
			<h2><?php esc_html_e('Emoción', 'alexandria-conversation-builder'); ?></h2>
		</div>

		<div class="alexandria-section-subtitle">
			<h3><?php esc_html_e('Selecciona la emoción que quieres transmitir en el email:'); ?></h3>
		</div>

	</div>

	<div class="alexandria-builder-block">

		<div class="alexandria-builder-emotions-wrapper">

			<?php if( $args['emotions_categories'] ) : 

				foreach ( $args['emotions_categories'] as $key => $item ) { ?>

					<div class="emotion-accordion">

						<div class="emotion-category-item" data-emotion_id="<?php echo $item['category']->term_id ?>">
							<span><?php esc_html_e('Emociones de', 'alexandria-conversation-builder'); ?> <?php echo $item['category']->name ?></span><span><img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/abajo.svg'?>" alt=""></span>
						</div>

						<div class="emotion-panel">
							<?php foreach ( $item['emotions'] as $emotion ) { 

								$color =  get_post(get_post_meta( $emotion->ID, 'color', true ));

								?>

								<div class="emotion-item" data-color="<?php echo $emotion->color ?>" data-emotion_id="<?php echo $emotion->ID ?>">
									<span style="color: #000000;"><?php echo $emotion->post_title ?></span>
								</div>

							<?php } ?>

						</div>

					</div>

				<?php } 

				else : ?>

					<div class="emotion-item">
						<span>
							<?php esc_html_e('No hay Emociones', 'alexandria-conversation-builder'); ?>
						</span>
					</div>

				<?php endif; ?>

			</div>

		</div>

	</div>

	<script>
		var allPanels = jQuery('.emotion-category-item > .emotion-panel').hide();

		jQuery('.emotion-category-item').on('click', function(e) {
			e.stopPropagation();
			e.preventDefault();

			allPanels.slideUp();

			let panel = jQuery(this).next();

			if (panel.css('display') === "flex") {
				panel.css('display', "none");
			} else {
				panel.css('display', "flex");
			}

			return false;
		});

		jQuery('.emotion-item').on('mouseover', function(e) {
			e.preventDefault();

			var color = jQuery(this).data('color');

			jQuery(this).css('background-color', color);

			jQuery(this).siblings().css('background-color', transparent);

			var button = jQuery('#alexandria-builder-button-continue');

			if(jQuery(this).hasClass('active')) {
				button.addClass('visible');
			} else {
				button.removeClass('visible');
			}
		});

		jQuery('.emotion-item').on('mouseout', function(e) {
			e.preventDefault();

			var color = jQuery(this).data('color');

			jQuery(this).css('background-color', color);

			jQuery(this).siblings().css('background-color', transparent);

			var button = jQuery('#alexandria-builder-button-continue');

			if(jQuery(this).hasClass('active')) {
				button.addClass('visible');
			} else {
				button.removeClass('visible');
			}
		});


		jQuery('.emotion-item').on('click', function(e) {
			e.preventDefault();

			var color = jQuery(this).data('color');

			if(jQuery(this).css('background-color') == color) {

				jQuery(this).css('background-color', 'transparent');
				jQuery(this).siblings().css('background-color', transparent);

			} else {

				jQuery(this).css('background-color', 'transparent');
				
			}

			var button = jQuery('#alexandria-builder-button-continue');

			if(jQuery(this).css('background-color') == color) {
				button.addClass('visible');
			} else {
				button.removeClass('visible');
			}
		});
	</script>