<?php

/**
 * Tabs-Section-Step Partial.
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates/partials
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

?>

<div class="alexandria-conversation-builder__step" data-step="4">

	<div class="alexandria-conversation-builder__tabs-step">
		
		<!-- Tabs Section -->
		<div class="alexandria-conversation-builder__tabs-container">

			<div class="alexandria-conversation-builder__tabs-wrapper">

				<div class="alexandria-conversation-builder__tab active" data-tab="kickoff" id="defaultOpen">
					<?php _e('Kick-off', 'alexandria-conversation-builder'); ?>
				</div>

				<div class="alexandria-conversation-builder__tab" data-tab="preparation" id="preparation_tab">
					<?php _e('Preparación', 'alexandria-conversation-builder'); ?>
				</div>

				<div class="alexandria-conversation-builder__tab" data-tab="examples" id="examples_tab">
					<?php _e('Ejemplos', 'alexandria-conversation-builder'); ?>
				</div>

			</div>

		</div>
		<!-- End Tabs Section -->

		<!-- Blocks Section -->
		<div class="alexandria-conversation-builder__tabs-content">

			<!-- Kick-Off Section -->
			<div id="kickoff" class="kickoff-section tab">

				<div class="show_information">
					<a id="toggle_information" href="#" alt="<?php _e('Mostrar Información','alexandria-conversation-builder'); ?>">
						<?php _e('Mostrar información',''); ?>
					</a>
				</div>

				<!-- Soliloquio Block -->
				<div id="soliloquio_block" class="kickoff-item">

					<div class="change-button-section">

						<a href="#" class="change-button" data-position="left" data-section="soliloquio" data-prefix="sol">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

						<a href="#" class="change-button" data-position="right" data-section="soliloquio" data-prefix="sol">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

					</div>

					<div class="change-button-section-text">
						<span class="hidden-item">
							<?php _e('Soliloquio','alexandria-conversation-builder'); ?>
						</span>
					</div>

					<div id="soliloquio_title">
					</div>

					<div id="soliloquio_title_hidden" class="hidden_titles_box">
					</div>

				</div>
				<!-- End Soliloquio Block -->

				<!-- Conclusions Block -->
				<div id="conclusions_block" class="kickoff-item">

					<div class="change-button-section">

						<a href="#" class="change-button" data-position="left" data-section="conclusions" data-prefix="con">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

						<a href="#" class="change-button" data-position="right" data-section="conclusions" data-prefix="con">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

					</div>

					<div class="change-button-section-text">
						<span class="hidden-item">
							<?php _e('Conclusión','alexandria-conversation-builder'); ?>
						</span>
					</div>

					<span id="conclusions_title"></span>
					<div id="conclusions_title_hidden" class="hidden_titles_box"></div>

				</div>
				<!-- End Conclusions Block -->

				<!-- Decisions Block -->
				<div id="decisions_block" class="kickoff-item">
					<div class="change-button-section">

						<a href="#" class="change-button" data-position="left" data-section="decisions" data-prefix="des">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

						<a href="#" class="change-button" data-position="right" data-section="decisions" data-prefix="des">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

					</div>

					<div class="change-button-section-text">
						<span class="hidden-item">
							<?php _e('Decisión','alexandria-conversation-builder'); ?>
						</span>
					</div>

					<div id="decisions_title"></div>

					<div id="decisions_title_hidden" class="hidden_titles_box"></div>

				</div>
				<!-- End Decisions Block -->

				<div id="expect_results_block" class="kickoff-item">
					<div class="change-button-section">

						<a href="#" class="change-button change_expect_results_button" data-section="expect_results" data-prefix="exp">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

						<a href="#" class="change-button change_expect_results_button" data-section="expect_results" data-prefix="exp">
							<div class="img-wrapper">
								<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
							</div>	
						</a>

					</div>

					<div class="change-button-section-text">
						<span class="hidden-item">
							<?php _e('Resultado Esperado','alexandria-conversation-builder'); ?>
						</span>
					</div>

					<div id="expect_results_title">
					</div>

					<div id="expect_results_title_hidden" class="hidden_titles_box">
					</div>

				</div>

			</div>
			<!-- End Kick-Off Section -->

			<!-- Preparation Section -->
			<div id="preparation" class="preparation-section tab">

				<!-- Objective Block -->
				<div class="objective-principal">
					<span class="objective-principal-title"><?php _e('Objetivo principal','alexandria-conversation-builder'); ?></span>
					<span id="objective_title"></span>
				</div>

				<div class="objective-description">
					<span class="objective-description-title"><?php _e('Definición del objetivo','alexandria-conversation-builder'); ?></span>
					<span id="objective_description"></span>
				</div>
				<!-- Objective Block -->

				<!-- Preguntas Potentes Block -->
				<div id="preguntas_potentes_block" class="preparation-item">

					<span class="item-title"><?php _e('Preguntas Potentes','alexandria-conversation-builder'); ?></span>

					<div id="preguntas_potentes_wrapper" class="item-list">
					</div>	

				</div>
				<!-- End Preguntas Potentes Block -->

				<!-- Relevancia Block -->
				<div id="relevance_block" class="preparation-item">
					<span class="item-title"><?php _e('Relevancia','alexandria-conversation-builder'); ?></span>
					<span id="relevance_wrapper"></span>
				</div>
				<!-- End Relevancia Block -->

				<!-- Argumentos Block -->
				<div id="argumentos_block" class="preparation-item">
					<span class="item-title"><?php _e('Argumentos','alexandria-conversation-builder'); ?></span>
					<span id="arguments_wrapper" class="item-list"></span>
				</div>
				<!-- End Argumentos Block -->

				<!-- Mínimo Viable Block -->
				<div id="viable_minimal_block" class="preparation-item">
					<span class="item-title"><?php _e('Mínimo Viable','alexandria-conversation-builder') ?></span>
					<span id="viable_minimal_wrapper"></span>
				</div>
				<!-- End Mínimo Viable Block -->

				<!-- Comentarios Block -->
				<div id="comentarios_block" class="preparation-item more-padding">
					<span class="item-title"><?php _e('Comentarios','alexandria-conversation-builder') ?></span>
					<span id="comments_wrapper"></span>
				</div>
				<!-- End Comentarios Block -->

			</div>
			<!-- End Preparation Section -->

			<!-- Examples Section -->
			<div id="examples" class="examples-section tab">
			</div>
			<!-- End Examples Section -->

		</div>

		<!-- Tabs Button Section -->
		<div id="alexandria-builder-button-container-tabs" class="alexandria-builder-button-container-tabs">

			<div class="alexandria-builder-button-wrapper">

				<a id="alexandria-builder-button-help" href="#">
					<img class="default-icon" src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/charla.svg'?>" alt="">
					<img class="hover-icon" src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/charla-white.svg'?>" alt="">
				</a>

				<a id="alexandria-builder-button-copy" href="#">
					<span class="tooltiptext" id="button_copy_tooltip">
						<?php _e('Copiado en el portapapeles', 'alexandria-conversation-builder'); ?>	
					</span>
					<?php _e('Copiar texto', 'alexandria-conversation-builder') ?>
				</a>

			</div>

		</div>
		<!-- End Tabs Button Section -->

	</div>
	
</div>